package net.sf.doolin.gui.action.path.item;

import java.util.List;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.action.swing.ActionFactory;
import net.sf.doolin.gui.action.swing.MenuBuilder;

/**
 * This action path installs a separator at the given path.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class SeparatorActionPath extends AbstractActionPath {

	/**
	 * Constructor with no path.
	 */
	public SeparatorActionPath() {
		super();
	}

	/**
	 * Constructor with some paths.
	 * 
	 * @param paths
	 *            Stack of paths
	 */
	public SeparatorActionPath(List<String> paths) {
		super(paths);
	}

	/**
	 * Installs a separator.
	 * 
	 * @see MenuBuilder#addSeparator()
	 */
	@Override
	public void install(MenuBuilder menuBuilder, ActionFactory actionFactory,
			ActionContext actionContext) {
		menuBuilder.addSeparator();
	}

	@Override
	public String toString() {
		return super.toString() + ">-";
	}

}
