package net.sf.doolin.gui.action.path.list;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import net.sf.doolin.gui.action.path.item.ActionPath;

/**
 * Default list of action paths.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class DefaultActionPathList implements ActionPathList {

	private List<ActionPath> actionPaths;

	/**
	 * Constructor with a non-defined list
	 */
	public DefaultActionPathList() {
	}

	/**
	 * Constructir with a predefined list of paths.
	 * 
	 * @param paths
	 *            Path to set in the list
	 */
	public DefaultActionPathList(ActionPath... paths) {
		this.actionPaths = new ArrayList<ActionPath>();
		this.actionPaths.addAll(Arrays.asList(paths));
	}

	@Override
	public List<ActionPath> getPaths() {
		return this.actionPaths;
	}

	/**
	 * Sets the list of paths
	 * 
	 * @param actionPaths
	 *            List of action paths
	 */
	public void setPaths(List<ActionPath> actionPaths) {
		this.actionPaths = actionPaths;
	}

}
