package net.sf.doolin.gui.action.support;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Defines an object that can be called from an action.
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 * @param <T>
 *            Type of the parameter
 */
public interface ActionDelegate<T> {

	/**
	 * Calls the delegate
	 * 
	 * @param actionContext
	 *            Action context
	 * @param parameter
	 *            Parameter
	 */
	void call(ActionContext actionContext, T parameter);

}
