package net.sf.doolin.gui.action.support;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.service.GUIPreferences;
import net.sf.doolin.gui.service.Memento;

/**
 * {@link ActionDelegate} implementation that saves its parameter in the
 * {@link GUIPreferences}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <E>
 *            Type of the parameter
 */
public class SaveInPrefsActionDelegate<E extends Memento> implements
		ActionDelegate<E> {

	@Override
	public void call(ActionContext actionContext, E parameter) {
		GUIPreferences preferences = actionContext.getApplication()
				.getPreferences();
		preferences.saveMemento(parameter);
		preferences.save();
	}

}
