package net.sf.doolin.gui.app.support;

import javax.swing.JComponent;

import net.sf.doolin.bus.support.DefaultSubscriberValidator;
import net.sf.doolin.bus.support.SubscriberValidator;
import net.sf.doolin.gui.action.support.AbstractActionContext;
import net.sf.doolin.gui.app.GUIApplication;
import net.sf.doolin.gui.view.GUIView;
import net.sf.doolin.gui.window.GUIWindow;

/**
 * Action context for an application
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ApplicationActionContext extends AbstractActionContext {

	private static final long serialVersionUID = 1L;

	private final GUIApplication application;

	/**
	 * Constructor
	 * 
	 * @param application
	 *            Application
	 */
	public ApplicationActionContext(GUIApplication application) {
		this.application = application;
	}

	@Override
	public GUIApplication getApplication() {
		return this.application;
	}

	/**
	 * No component
	 */
	@Override
	public JComponent getComponent() {
		return null;
	}

	/**
	 * No view
	 */
	@Override
	public <T> GUIView<T> getView() {
		return null;
	}

	/**
	 * No window
	 */
	@Override
	public <T> GUIWindow<T> getWindow() {
		return null;
	}

	/**
	 * No data
	 */
	@Override
	public Object getData() {
		return null;
	}

	@Override
	public SubscriberValidator getSubscriberValidator() {
		return new DefaultSubscriberValidator();
	}

}
