package net.sf.doolin.gui.bus;

import net.sf.doolin.gui.swing.LabelInfo;
import net.sf.doolin.gui.swing.LabelInfoProvider;

import org.joda.time.Period;
import org.joda.time.format.PeriodFormatter;
import org.joda.time.format.PeriodFormatterBuilder;

public class BusMonitorRegistrationPeriodLabelInfoProvider implements
		LabelInfoProvider {

	private static final PeriodFormatter daysHoursMinutesSeconds = new PeriodFormatterBuilder()
			.appendDays().appendSuffix(" day", " days")
			.appendSeparator(" and ").appendMinutes().appendSuffix(" minute",
					" minutes").appendSeparator(" and ").appendSeconds()
			.appendSuffix(" second", " seconds").toFormatter();

	@Override
	public LabelInfo getLabelIcon(Object item) {
		long interval = (Long) item;
		Period period = new Period(interval);
		String text = daysHoursMinutesSeconds.print(period);
		return new LabelInfo(text);
	}

}
