package net.sf.doolin.gui.bus;

import net.sf.doolin.gui.action.AbstractSimpleGUIAction;
import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.action.GUIAction;

/**
 * {@link GUIAction} that tests the validity of a subscription and displays the
 * result in the Standard Output.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class BusMonitoringTestAction extends AbstractSimpleGUIAction {

	@Override
	protected void doExecute(ActionContext context) throws Exception {
		BusMonitoringSubscription subscription = (BusMonitoringSubscription) context
				.getContext();
		if (subscription != null) {
			boolean result = subscription.test();
			System.out.format("Validity test for %s is %s%n", subscription,
					result);
		}
	}

}
