package net.sf.doolin.gui.display;

import net.sf.doolin.gui.action.ActionContext;

import org.springframework.beans.factory.annotation.Required;

/**
 * This DSH grants activation regarding the presence or not of a System
 * property.
 */
public class SystemPropertyDisplayStateHandler extends
		AbstractSimpleDisplayStateHandler {

	private String propertyName;

	public String getPropertyName() {
		return this.propertyName;
	}

	/**
	 * Checks the system property. The <code>actionContext</code> is not used.
	 * 
	 * @see Boolean#getBoolean(String)
	 */
	@Override
	protected boolean isActive(ActionContext actionContext) {
		return Boolean.getBoolean(this.propertyName);
	}

	@Required
	public void setPropertyName(String propertyName) {
		this.propertyName = propertyName;
	}

	/**
	 * Nothing to connect.
	 */
	@Override
	public void subscribe(ActionContext actionContext, Runnable task) {
	}

}
