package net.sf.doolin.gui.field.list.multi;

import java.awt.Component;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JPopupMenu;

public class MultiComboMouseAdapter<V, E> extends MouseAdapter {

	private final MultiComboComponent<V, E> component;

	@SuppressWarnings("unchecked")
	public MultiComboMouseAdapter(MultiComboField<V, E> field) {
		// Builds the popup-component
		this.component = new MultiComboComponent(field);
	}

	@Override
	public void mouseClicked(MouseEvent e) {
		// Creates the pop-up menu
		final JPopupMenu popup = new JPopupMenu();
		// Sets the pop-up content
		popup.add(this.component);
		// Listens for the close action
		MultiComboAdapter closeListener = new MultiComboAdapter() {

			@Override
			public void onClose() {
				popup.setVisible(false);
			}

		};
		this.component.addMultiComboListener(closeListener);
		// Shows it
		Component host = e.getComponent();
		popup.show(host, 0, host.getHeight());
		// FIXME Removes the close listener when pop-up is closed
	}
}
