package net.sf.doolin.gui.field.support;

import javax.swing.TransferHandler;

import net.sf.doolin.gui.field.Field;

/**
 * {@link TransferHandler} associated with a {@link Field}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <V>
 *            Type of the view that contains the field
 */
public abstract class FieldTransferHandler<V> extends TransferHandler {

	private static final long serialVersionUID = 1L;

	private Field<V> field;

	/**
	 * Gets the associated field
	 * 
	 * @return Field
	 */
	public Field<V> getField() {
		return this.field;
	}

	/**
	 * Sets the associated field
	 * 
	 * @param field
	 *            Field
	 */
	public void setField(Field<V> field) {
		this.field = field;
	}

}
