package net.sf.doolin.gui.field.table.column;

import net.sf.doolin.gui.field.table.Column;

/**
 * Defines a column that is always editable.
 * 
 * @author Damien Coraboeuf
 * @param <T>
 *            Type of item in the table
 * 
 */
public class ColumnAlwaysEditable<T> implements ColumnEditable<T> {

	/**
	 * Returns always <code>true</code>
	 * 
	 * @param column
	 *            Column
	 * @param item
	 *            Editable item
	 * @return <code>true</code>
	 */
	@Override
	public boolean isEditable(Column column, T item) {
		return true;
	}

}
