package net.sf.doolin.gui.field.table.header;

import javax.swing.JPopupMenu;

import net.sf.doolin.gui.field.table.support.GUITable;

/**
 * Factory for the contextual menu on a {@link GUITable} header.
 * 
 * @author Damien Coraboeuf
 * @param <V>
 *            Type of object for the view
 * @param <E>
 *            Type of item in the table
 * 
 */
public interface GUITableHeaderMenuFactory<V, E> {

	/**
	 * Creates a menu for the table header
	 * 
	 * @param table
	 *            Table
	 * @return Menu to display or <code>null</code> if none is available
	 */
	JPopupMenu createMenu(GUITable<V, E> table);

}
