package net.sf.doolin.gui.field.table.style;

import javax.swing.JTable;

import net.sf.doolin.gui.style.Style;

/**
 * Defines a style to apply on a table.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface TableStyle {

	/**
	 * Gets the style to apply on the table.
	 * 
	 * @param item
	 *            Item associated to the row
	 * @param table
	 *            Table
	 * @param row
	 *            Row index
	 * @param column
	 *            Column index
	 * @return Style to apply
	 */
	Style getStyle(Object item, JTable table, int row, int column);

}
