package net.sf.doolin.gui.field.tree;

import java.util.ArrayList;
import java.util.List;

import net.sf.doolin.gui.field.AbstractPropertyFieldDescriptor;
import net.sf.doolin.gui.field.Field;
import net.sf.doolin.gui.field.tree.support.GUITreeField;
import net.sf.doolin.gui.view.GUIView;

public class FieldTree<V> extends AbstractPropertyFieldDescriptor<V> {

	private boolean rootVisible = true;
	private List<Node> nodes = new ArrayList<Node>(0);
	private FieldTreeSelectionPropertyMode selectionPropertyMode = FieldTreeSelectionPropertyMode.OBJECT;
	private String selectionPropertyPath;

	@Override
	public Field<V> createField(GUIView<V> view) {
		return new GUITreeField<V>(view, this);
	}

	public List<Node> getNodes() {
		return this.nodes;
	}

	public FieldTreeSelectionPropertyMode getSelectionPropertyMode() {
		return this.selectionPropertyMode;
	}

	public String getSelectionPropertyPath() {
		return this.selectionPropertyPath;
	}

	public boolean isRootVisible() {
		return this.rootVisible;
	}

	public void setNodes(List<Node> nodes) {
		this.nodes = nodes;
	}

	public void setRootVisible(boolean rootVisible) {
		this.rootVisible = rootVisible;
	}

	public void setSelectionPropertyMode(
			FieldTreeSelectionPropertyMode selectionPropertyMode) {
		this.selectionPropertyMode = selectionPropertyMode;
	}

	public void setSelectionPropertyPath(String selectionPropertyPath) {
		this.selectionPropertyPath = selectionPropertyPath;
	}
}
