package net.sf.doolin.gui.service;

/**
 * Defines an object that can saves and restores itself in preferences.
 * 
 * @author Damien Coraboeuf
 */
public interface Memento {

	/**
	 * Saves this object in the preferences.
	 * 
	 * @param preferences
	 *            Preferences to save into
	 */
	void saveMemento(GUIPreferences preferences);

	/**
	 * Restores this object from the preferences.
	 * 
	 * @param preferences
	 *            Preferences to read from
	 */
	void restoreMemento(GUIPreferences preferences);

}
