package net.sf.doolin.gui.service;

/**
 * Parameter services.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface Parameters {

	/**
	 * Gets a parameter as an enumeration.
	 * 
	 * @param <E>
	 *            Type of enumeration.
	 * @param paramId
	 *            Parameter id
	 * @param enumClass
	 *            Enumeration class
	 * @param defaultValue
	 *            Default value if not specified
	 * @return Parameter value
	 */
	<E extends Enum<E>> E getEnum(String paramId, Class<E> enumClass,
			E defaultValue);

}
