package net.sf.doolin.gui.service.info;

import java.util.Locale;


import net.sf.jstring.Localizable;
import org.apache.commons.lang.StringUtils;

public class DefaultExceptionTranslator implements ExceptionTranslator {

	@Override
	public String getMessage(Throwable th) {
		// Code exception
		if (th instanceof Localizable) {
			return ((Localizable) th).getLocalizedMessage(Locale.getDefault());
		} else {
			// List of messages
			String message = th.getLocalizedMessage();
			if (StringUtils.isNotBlank(message)) {
				return message;
			} else {
				return th.getClass().getSimpleName();
			}
		}
	}

}
