package net.sf.doolin.gui.spring;

import net.sf.doolin.context.spring.SimpleDefinitionParser;

/**
 * Parser for an {@link net.sf.doolin.gui.field.AbstractFieldDescriptor}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <C>
 *            Type of the bean to parse
 */
public class AbstractFieldTypeParser<C> extends SimpleDefinitionParser<C> {

	/**
	 * Constructor
	 * 
	 * @param beanClass
	 *            Bean class
	 */
	public AbstractFieldTypeParser(Class<C> beanClass) {
		super(beanClass);
		addSimpleAttribute("name");
		addSimpleAttribute("constraint");
		addAttributeRef("style");
	}

}
