package net.sf.doolin.gui.spring;

import net.sf.doolin.context.spring.SimpleBeanFactory;
import net.sf.doolin.gui.field.FieldLabelInfo;
import net.sf.doolin.util.Utils;

import org.springframework.beans.factory.support.BeanDefinitionBuilder;

/**
 * Parser for {@link FieldLabelInfo}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class LabelInfoParser extends
		AbstractPropertyFieldTypeParser<FieldLabelInfo> {

	/**
	 * Constructor
	 */
	public LabelInfoParser() {
		super(FieldLabelInfo.class);
		addFactoryFromAttribute("labelInfoProvider", "labelInfoProvider",
				new SimpleBeanFactory() {

					@Override
					public Object create(String value) {
						// Class for the provider
						Class<?> providerClass = Utils.forClass(value);
						// Bean definition builder for this class
						BeanDefinitionBuilder builder = BeanDefinitionBuilder
								.rootBeanDefinition(providerClass);
						// Gets the definition
						return builder.getBeanDefinition();
					}
				});
	}
}
