package net.sf.doolin.gui.swing;

import java.util.Map;

import org.springframework.beans.factory.annotation.Required;

/**
 * {@link LabelInfoProvider} based on a map.
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 */
public class MapLabelInfoProvider implements LabelInfoProvider {

	private Map<Object, LabelInfo> labelInfoMap;

	@Override
	public LabelInfo getLabelIcon(Object item) {
		LabelInfo info = this.labelInfoMap.get(item);
		if (info != null) {
			return info;
		}
		return null;
	}

	/**
	 * Gets the label info map.
	 * 
	 * @return the label info map
	 */
	public Map<Object, LabelInfo> getLabelInfoMap() {
		return this.labelInfoMap;
	}

	/**
	 * Sets the label info map.
	 * 
	 * @param labelInfoMap
	 *            the label info map
	 */
	@Required
	public void setLabelInfoMap(Map<Object, LabelInfo> labelInfoMap) {
		this.labelInfoMap = labelInfoMap;
	}

}
