package net.sf.doolin.gui.util;

/**
 * Defines an object that can store properties (name and value pairs).
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface PropertyContainer {

	/**
	 * Attaches a property to the view. If the <code>value</code> is
	 * <code>null</code>, the property will be removed from the view instead.
	 * 
	 * @param key
	 *            Property key
	 * @param value
	 *            Property value
	 */
	void setProperty(Object key, Object value);

	/**
	 * Retrieves a property from this view
	 * 
	 * @param key
	 *            Property key
	 * @return Property value or <code>null</code> if not defined
	 */
	Object getProperty(Object key);

}
