package net.sf.doolin.gui.validation.support;

import net.sf.doolin.gui.validation.ValidationMsgKeys;

import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang.StringUtils;

/**
 * This validator checks that the string representation of the object is not
 * blank.
 * 
 * @author Damien Coraboeuf
 * @see StringUtils#isNotBlank(String)
 * 
 */
public class NotBlankObjectValidator implements ObjectValidator {

	@Override
	public String getMsgKey() {
		return ValidationMsgKeys.MSG_MANDATORY;
	}

	@Override
	public Object[] getParams(String name) {
		return new Object[] { name };
	}

	@Override
	public boolean validate(Object value) {
		String s = ObjectUtils.toString(value, null);
		return StringUtils.isNotBlank(s);
	}

}
