package net.sf.doolin.gui.view.decorator;

import javax.swing.JComponent;

import net.sf.doolin.gui.view.GUIView;

/**
 * Decorates a view in order to place it into a window.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface GUIViewDecorator {

	/**
	 * Creates a decorated component for the view.
	 * 
	 * @param <V>
	 *            Type of the object for the view
	 * 
	 * @param view
	 *            View to decorate
	 * @param component
	 *            Component to decorate
	 * @param decorationStyle
	 *            Decoration style
	 * @return Decorated component
	 */
	<V> JComponent decorate(GUIView<V> view, JComponent component,
			DecorationStyle decorationStyle);

}
