package net.sf.doolin.gui.window;

/**
 * Listeners for events on windows.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public interface GUIWindowListener<B> {

	/**
	 * This method is called when the window is closed.
	 * 
	 * @param window
	 *            Closed window
	 */
	void onWindowClosed(GUIWindow<B> window);

	/**
	 * This method is called when the window is created.
	 * 
	 * @param window
	 *            Closed window
	 */
	void onWindowInit(GUIWindow<B> window);

}
