package net.sf.doolin.gui.wizard.support;

import net.sf.doolin.gui.action.ActionContext;

/**
 * "Cancel" action for the wizard.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class WizardCancelAction extends AbstractWizardAction {

	/**
	 * Constructor.
	 */
	public WizardCancelAction() {
		this("Wizard.action.cancel");
	}

	/**
	 * Constructor with custom text
	 * 
	 * @param text
	 *            Text for the button
	 */
	public WizardCancelAction(String text) {
		super(WizardAction.CANCEL, text);
	}

	/**
	 * Invalidates the model and cancels the dialog
	 */
	@Override
	protected void doExecute(ActionContext context) throws Exception {
		// Invalidates the model
		context.getValidationSupport().invalidate();
		// Cancels the dialog
		getWizard(context).close();
	}

	/**
	 * Shortcut
	 */
	@Override
	protected String getShortcut() {
		return "ESCAPE";
	}

}
